#!/usr/bin/bash
###############################################################################
#   set_tag.sh
#      it's a part of the rpmrebuild project
#
#    Copyright (C) 2004 by Eric Gerbier
#    Bug reports to: eric.gerbier@tutanota.com
#      or	   : valery_reznic@users.sourceforge.net
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################

version=1.1
###############################################################################
function msg () {
	echo >&2 $*
}
###############################################################################
function syntaxe () {
	msg "this plugin allow to remove a full section"
	msg "it must be called with change-spec-* option"
	msg "-h|--help : this help"
	msg "-v|--version : print plugin version"
	exit 1

}
###############################################################################

# test for arguments
if [ $# -ne 0 ]
then
	while [[ $1 ]]
	do
		case $1 in
			-h | --help )
				syntaxe
				;;

			-v | --version )
				msg "$0 version $version";
				exit 1;
				;;

			*)
				msg "bad option : $1";
				syntaxe
				;;
		esac
	done
fi

# test the way to be called
case $LONG_OPTION in
	change-spec-*)
		;;
	*)	msg "should be called from LONG_OPTION=change-spec-*";
		syntaxe
	;;
esac

# empty file
sed '1,$ d'
